XARCLOCK(1)

NAME
xarclock - extended xclock(1)

SYNOPSIS
xarclock [-roman] [-arabic] [-south] [-north] [-analog] [-digital] [-chime] pixels] [-fg color] [-bg color] [-hd color] [-hl color] [-bd color] [-fn fontname] [-help] [-padding pixels] [-rv] [-update seconds] [-display displayname] [-geometry geom]

DESCRIPTION
The xarclock program displays the time in analog or digital, reverse or normal form. The time is continuously updated at a frequency which may be specified by the user. This program is based on the program xlock(1) that is distributed together with the X11 release and is nothing more than a wrapper around the Athena Clock widget. This program is an extension of the standard X clock widget. New features are: Configurable direction of rotation and font support in analog mode.

OPTIONS
Xarclock accepts all of the standard X Toolkit command line options along with the additional options listed below:

-roman
    This option specifies that roman digits should be used on an analog clock.

-arabic
    This option specifies that arabic digits should be used on an analog clock. This is the default

-south
    This option specifies the direction the clock will turn, on the southern half of the earth the 3, early afternoon, is on the left side. This is the default.

-north
    This option specifies that the clock will behave like xclock(1).

-analog
    This option indicates that a conventional 12 hour clock face with tick marks and hands should be used. This is the default.

-digital (or -d)
    This option indicates that a 24 hour digital clock should be used.

-chime
    This option indicates that the clock should chime once on the half hour and twice on the hour.

-hd color (or -hands color)
    This option specifies the color of the hands on an analog clock. The default is black.

-hl color (or -highlight color)
    This option specifies the color of the edges of the hands on an analog clock, and is only useful on color displays. The default is black.

-fn fontname
    This option sets the name of the used fonts on the analog clock to fontname.

-help
    This option indicates that a brief summary of the allowed options should be printed on the standard error.

-padding pixels
    This option specifies the width in pixels of the padding between the window border and clock text or picture. The default is 10 on a digital clock and 8 on an analog clock.

-update seconds
    This option specifies the frequency in seconds at which xclock should update its display. If the clock is obscured and then exposed, it will be updated immediately. A value of less than 30 seconds will enable a second hand on an analog clock. The default is 60 seconds.

X DEFAULTS
This program uses the Athena Clock widget. It understands all of the core resource names and classes as well as:

width (class Width)
    Specifies the width of the clock. The default for analog clocks is 164 pixels; the default for digital clocks is whatever is needed to hold the clock when displayed in the chosen font.

height (class Height)
    Specifies the height of the clock. The default for analog clocks is 164 pixels; the default for digital clocks is whatever is needed to hold the clock when displayed in the chosen font.

update (class Interval)
    Specifies the frequency in seconds at which the time should be redisplayed.

foreground (class Foreground)
    Specifies the color for the tic marks. The default is depends on whether reverseVideo is specified. If reverseVideo is specified the default is lwhite, otherwise the default is black.

hands (class Foreground)
    Specifies the color of the insides of the clock's hands. The default is depends on whether reverseVideo is specified. If reverseVideo is specified the default is lwhite, otherwise the default is black.

highlight (class Foreground)
    Specifies the color used to highlight the clock's hands. The default is
     depends on whether reverseVideo is specified. If reverseVideo is specified the default is lwhite, otherwise the default is black.

analog (class Boolean)
    Specifies whether or not an analog clock should be used instead of a digital one. The default is True.

roman (class Boolean)
    Specifies whether roman or arabic digits should be used on the analog clock. The default is True.

north (class Boolean)
    Specifies whether or not reverse direction of rotation of hands of the analog clock should be used. The default is False.

chime (class Boolean)
    Specifies whether or not a bell should be rung on the hour and half hour.

padding (class Margin)
    Specifies the amount of internal padding in pixels to be used. The default is 8.

font (class Font)
    Specifies the font to be used for the digital clock. Note that variable width fonts currently will not always display correctly.

WIDGETS
In order to specify resources, it is useful to know the hierarchy of the widgets which compose xclock. In the notation below, indentation indicates hierarchical structure. The widget class name is given first, followed by the widget instance name.

XClock  xclock
        Clock  clock

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

FILES

/usr/X11R6/lib/X11/app-defaults/XClock
    Specifies required resources

COPYRIGHT
Original code copyrighted by Digital Equipment Corporation and the Massachusetts Institute of Technology. The modifications made by Jaime Garcia-Ghirelli (jaime@inforamp.net) remain in the public domain. This manual page is a mixture of recycled xclock(1) stuff and new stuff by Martin Schulze (Martin.Schulze@linux.de)

SEE ALSO
X(1), xclock(1), xrdb(1), time(3C), Athena Clock widget.